Bug 14997 - Remove C4::Dates from tools (import / export)
Summary: Remove C4::Dates from tools (import / export)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14870
  Show dependency treegraph
 
Reported: 2015-10-10 08:01 UTC by Marc Véron
Modified: 2016-12-05 21:22 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14997 - Remove C4::Dates from tools (import / export) (5.73 KB, patch)
2015-10-10 08:38 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14997 - Remove C4::Dates from tools (import / export) (5.78 KB, patch)
2015-10-23 14:54 UTC, Mirko Tietgen
Details | Diff | Splinter Review
[PASSED QA] Bug 14997 - Remove C4::Dates from tools (import / export) (5.85 KB, patch)
2015-10-24 21:23 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2015-10-10 08:01:54 UTC
This patch removes C4::Dates from:

- tools/export.pl
- tools/import_borrowers.pl
Comment 1 Marc Véron 2015-10-10 08:38:31 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-10-23 09:37:20 UTC
Still appplies
Comment 3 Mirko Tietgen 2015-10-23 14:54:42 UTC Comment hidden (obsolete)
Comment 4 Mirko Tietgen 2015-10-23 14:58:42 UTC
Exported MARC data was the same with and without patch.

Borrower import without patch (mis)calculated dates in wrong format, like 2010-30-12 in yyy-mm-dd becoming 2012-06-15. After the patch, default values were used instead. Data in correct format was imported as expected.
Comment 5 Katrin Fischer 2015-10-24 21:23:43 UTC
Created attachment 43937 [details] [review]
[PASSED QA] Bug 14997 - Remove C4::Dates from tools (import / export)

This patch removes C4::Dates from:

- tools/export.pl
- tools/import_borrowers.pl

Note: For testing, both need preparation without patch, see below.

To test export:
- Without patch applied, go to
  Home > Tools > Export data > Export bibliographic records
- Define Start date / End date for Accession dates
- Export bibliographic records as 'without-patch.mrc'

- Do the same with patch, export as 'with-patch.mrc
- Compare the files, they should be the same

To test Import patrons:
- Without patch
- Go to Home > Tools > Import patrons
- Create a patron category like 'TEST' (useful for filtering...)
- Prepare a file with some patrons with category TEST to import.
  Fill date of birth, enrolment date, expiry date with values
  formatted in syspref format, in iso format and garbage
- Import
- Review the imported patrons (search for category TEST)

- With patch: Change cardnumber and names in import file
- Import
- Review again and compare with results from previous import.

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Tomás Cohen Arazi 2015-10-27 13:44:56 UTC
Patch pushed to master

Thanks Marc!